packages: closure-stylesheets/closure-stylesheets.spec, closure-stylesheets...

glen glen at pld-linux.org
Wed Feb 29 06:45:33 CET 2012


Author: glen                         Date: Wed Feb 29 05:45:33 2012 GMT
Module: packages                      Tag: HEAD
---- Log message:
- up to 20111230

---- Files affected:
packages/closure-stylesheets:
   closure-stylesheets.spec (1.1 -> 1.2) , get-source.sh (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: packages/closure-stylesheets/closure-stylesheets.spec
diff -u packages/closure-stylesheets/closure-stylesheets.spec:1.1 packages/closure-stylesheets/closure-stylesheets.spec:1.2
--- packages/closure-stylesheets/closure-stylesheets.spec:1.1	Thu Nov 17 13:00:46 2011
+++ packages/closure-stylesheets/closure-stylesheets.spec	Wed Feb 29 06:45:28 2012
@@ -4,13 +4,14 @@
 %include	/usr/lib/rpm/macros.java
 Summary:	Closure Stylesheets
 Name:		closure-stylesheets
-Version:	1
-Release:	0.1
+Version:	20111230
+Release:	1
 License:	Apache v2.0
 Group:		Applications/WWW
-Source0:	https://closure-stylesheets.googlecode.com/files/%{name}.jar
-# Source0-md5:	4c76e8116f73fe288011bc36c54da69b
+Source0:	https://closure-stylesheets.googlecode.com/files/%{name}-%{version}.jar
+# Source0-md5:	eb82b5672843df21ad6fae6eb1547fa1
 Source1:	%{name}.sh
+Source2:	get-source.sh
 URL:		https://code.google.com/p/closure-stylesheets/
 BuildRequires:	rpm-javaprov
 BuildRequires:	rpmbuild(macros) >= 1.300
@@ -48,5 +49,8 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.2  2012/02/29 05:45:28  glen
+- up to 20111230
+
 Revision 1.1  2011/11/17 12:00:46  glen
 - new, based on closure-compiler package

================================================================
Index: packages/closure-stylesheets/get-source.sh
diff -u /dev/null packages/closure-stylesheets/get-source.sh:1.1
--- /dev/null	Wed Feb 29 06:45:33 2012
+++ packages/closure-stylesheets/get-source.sh	Wed Feb 29 06:45:28 2012
@@ -0,0 +1,32 @@
+#!/bin/sh
+p=closure-stylesheets
+fn=$p
+svn=http://$p.googlecode.com/svn/trunk
+dl="https://code.google.com/p/$p/downloads/list?can=2&colspec=Filename"
+
+set -x
+set -e
+
+html() {
+	if [ -z "$html" ]; then
+		html=$(lynx -width 1200 -dump -nolist "$dl")
+	fi
+	echo "$html" | tee debug.log
+}
+
+date=$(html | perl -ne '/'$fn'-(\d+).+jar/and print $1 and exit')
+test -n "$date"
+
+echo "Release: $date"
+
+exit 1
+
+d=$p-$date
+if [ ! -d "$d" ]; then
+	svn export -q $svn@$rev $p-$date
+fi
+
+t=$d.tar.bz2
+if [ ! -f "$t" ]; then
+	tar -cjf $t --exclude-vcs $d
+fi
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/closure-stylesheets/closure-stylesheets.spec?r1=1.1&r2=1.2&f=u



More information about the pld-cvs-commit mailing list